package com.yonge.cooleshow.api.feign.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.common.enums.UserLockFlag;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 教师表
 */
@TableName("teacher")
public class TeacherApi implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 对应user表用户编号 
    */
    private Long userId;
    /** 
    * 学历 
    */
    private String educationBackground;
    /** 
    * 毕业学校 
    */
    private String graduateSchool;
    /** 
    * 技术职称 
    */
    private String technicalTitles;
    /** 
    * 工作单位 
    */
    private String workUnit;
    /** 
    * 专业技能（支持多个，用逗号分隔），对应声部表编号
    */
    private String subjectId;
    /**
     * 个人介绍
     */
    private String introduction;
    /**
     * 学校专业
     */
    private String subject;
    /**
     * 毕业证书
     */
    private String gradCertificate;
    /**
     * 学位证书
     */
    private String degreeCertificate;
    /**
     * 教师资格证
     */
    private String teacherCertificate;
    /**
     * 老师入驻  0 否 1 是
     */
    private YesOrNoEnum entryFlag;
    /**
    * 入驻时间 
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date entryAuthDate;

    private String tag;

    /** 
    * 音乐人  0 否 1 是
    */
    private YesOrNoEnum musicianFlag;
    /**
     * 音乐人认证时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date musicianDate;
    private YesOrNoEnum liveFlag;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date liveDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date musicDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date videoDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date styleDate;

    /**
     * 会员等级
     */
    private Long memberRankSettingId;
    /**
     * 有效期开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date membershipStartTime;
    /**
     * 有效期结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date membershipEndTime;

    private Integer browse;
    private String memo;
    private UserLockFlag lockFlag;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;


    public Date getMusicDate() {
        return musicDate;
    }

    public void setMusicDate(Date musicDate) {
        this.musicDate = musicDate;
    }

    public Date getVideoDate() {
        return videoDate;
    }

    public void setVideoDate(Date videoDate) {
        this.videoDate = videoDate;
    }

    public Date getStyleDate() {
        return styleDate;
    }

    public void setStyleDate(Date styleDate) {
        this.styleDate = styleDate;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public Long getMemberRankSettingId() {
        return memberRankSettingId;
    }

    public void setMemberRankSettingId(Long memberRankSettingId) {
        this.memberRankSettingId = memberRankSettingId;
    }

    public Date getMembershipStartTime() {
        return membershipStartTime;
    }

    public void setMembershipStartTime(Date membershipStartTime) {
        this.membershipStartTime = membershipStartTime;
    }

    public Date getMembershipEndTime() {
        return membershipEndTime;
    }

    public void setMembershipEndTime(Date membershipEndTime) {
        this.membershipEndTime = membershipEndTime;

    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getEducationBackground() {
        return educationBackground;
    }

    public void setEducationBackground(String educationBackground) {
        this.educationBackground = educationBackground;
    }

    public String getGraduateSchool() {
        return graduateSchool;
    }

    public void setGraduateSchool(String graduateSchool) {
        this.graduateSchool = graduateSchool;
    }

    public String getTechnicalTitles() {
        return technicalTitles;
    }

    public void setTechnicalTitles(String technicalTitles) {
        this.technicalTitles = technicalTitles;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGradCertificate() {
        return gradCertificate;
    }

    public void setGradCertificate(String gradCertificate) {
        this.gradCertificate = gradCertificate;
    }

    public String getDegreeCertificate() {
        return degreeCertificate;
    }

    public void setDegreeCertificate(String degreeCertificate) {
        this.degreeCertificate = degreeCertificate;
    }

    public String getTeacherCertificate() {
        return teacherCertificate;
    }

    public void setTeacherCertificate(String teacherCertificate) {
        this.teacherCertificate = teacherCertificate;
    }

    public YesOrNoEnum getEntryFlag() {
        return entryFlag;
    }

    public void setEntryFlag(YesOrNoEnum entryFlag) {
        this.entryFlag = entryFlag;
    }

    public Date getEntryAuthDate() {
        return entryAuthDate;
    }

    public void setEntryAuthDate(Date entryAuthDate) {
        this.entryAuthDate = entryAuthDate;
    }

    public YesOrNoEnum getMusicianFlag() {
        return musicianFlag;
    }

    public void setMusicianFlag(YesOrNoEnum musicianFlag) {
        this.musicianFlag = musicianFlag;
    }

    public Date getMusicianDate() {
        return musicianDate;
    }

    public void setMusicianDate(Date musicianDate) {
        this.musicianDate = musicianDate;
    }

    public YesOrNoEnum getLiveFlag() {
        return liveFlag;
    }

    public void setLiveFlag(YesOrNoEnum liveFlag) {
        this.liveFlag = liveFlag;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getLiveDate() {
        return liveDate;
    }

    public void setLiveDate(Date liveDate) {
        this.liveDate = liveDate;
    }

    public Integer getBrowse() {
        return browse;
    }

    public void setBrowse(Integer browse) {
        this.browse = browse;
    }

    public UserLockFlag getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(UserLockFlag lockFlag) {
        this.lockFlag = lockFlag;
    }
}